
set( dunetpc_VERSION 07.05.00.01 )
set( dunetpc_UPS_VERSION v07_05_00_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcoreobj  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_root(  )
    find_ups_product( larcore v1_00_00 )
    find_ups_product( larcorealg  )
    find_ups_product( art  )
    find_ups_product( canvas_root_io  )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( lardataobj  )
    find_ups_product( nusimdata  )
    find_ups_product( dk2nudata v01_05_01 )
    find_ups_product( lardataalg  )
    find_ups_product( lardata  )
    find_ups_product( nutools  )
    find_ups_product( genie  )
    find_ups_product( dk2nugenie  )
    find_ups_product( libwda  )
    find_ups_product( postgresql  )
    find_ups_product( geant4  )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( larpandora v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( marley  )
    find_ups_product( ifdhc  )
    find_ups_product( larreco v1_00_00 )
    find_ups_product( eigen  )
    find_ups_product( pandora v02_00_00 )
    find_ups_product( larpandoracontent v02_04_00 )
    find_ups_product( larana v1_00_00 )
    find_ups_product( lbne_raw_data v0_00_02 )
    find_ups_product( artdaq_core v1_00_00 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( dune_raw_data v1_10_00 )
    find_ups_product( dunepdsprce v0_0_3 )
    find_ups_product( ifdh_art  )
    find_ups_product( ifbeam  )
    find_ups_product( nucondb  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/build-nulite-matrix/BUILDTYPE/debug/QUAL/s70-c2/label1/swarm/label2/OSX-10.12/build/libxml2/v2_9_5/Darwin64bit+16-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEHGAL )
      cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_TREE )
      cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_GENIE )
      cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH_SERVICE )
      cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY )
      cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY_ROOT )
      cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PANDORASDK )
      cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
    endif()
    if( NOT PANDORAMONITORING )
      cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
    endif()
    if( NOT SIGC )
      cet_find_library( SIGC NAMES sigc-2.0 PATHS ENV LIBSIGCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFBEAM )
      cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUCONDB )
      cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT WDA )
      cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
    endif()
      set( DUNE_DUNEOBJ $ENV{DUNETPC_LIB}/libdune_DuneObj.dylib )
      set( DUNE_DUNEOBJ_DICT $ENV{DUNETPC_LIB}/libdune_DuneObj_dict.dylib )
      set( DUNE_DUNEOBJDUMPERS_DUMPOPDETDIVRECS_MODULE $ENV{DUNETPC_LIB}/libdune_DuneObjDumpers_DumpOpDetDivRecs_module.dylib )
      set( DUNE_ARTSUPPORT $ENV{DUNETPC_LIB}/libdune_ArtSupport.dylib )
      set( DUNE_ARTSUPPORT_TOOL_TESTTOOL_TOOL $ENV{DUNETPC_LIB}/libdune_ArtSupport_Tool_TestTool_tool.dylib )
      set( DUNE_DUNESERVICEACCESS $ENV{DUNETPC_LIB}/libdune_DuneServiceAccess.dylib )
      set( DUNE_DUNECOMMON_TOOL_FCLRUNDATATOOL_TOOL $ENV{DUNETPC_LIB}/libdune_DuneCommon_Tool_FclRunDataTool_tool.dylib )
      set( DUNE_DUNECOMMON_TOOL_FCLINDEXRANGETOOL_TOOL $ENV{DUNETPC_LIB}/libdune_DuneCommon_Tool_FclIndexRangeTool_tool.dylib )
      set( DUNE_DUNECOMMON_TOOL_FIXEDTIMEOFFSETTOOL_TOOL $ENV{DUNETPC_LIB}/libdune_DuneCommon_Tool_FixedTimeOffsetTool_tool.dylib )
      set( DUNE_DUNECOMMON_TOOL_TIMINGRAWDECODEROFFSETTOOL_TOOL $ENV{DUNETPC_LIB}/libdune_DuneCommon_Tool_TimingRawDecoderOffsetTool_tool.dylib )
      set( DUNE_DUNECOMMON_TOOL_SIMPLEHISTOGRAMMANAGER_TOOL $ENV{DUNETPC_LIB}/libdune_DuneCommon_Tool_SimpleHistogramManager_tool.dylib )
      set( DUNE_DUNECOMMON_SERVICE_GEOROPCHANNELGROUPSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DuneCommon_Service_GeoRopChannelGroupService_service.dylib )
      set( DUNE_DUNECOMMON_SERVICE_GEOAPACHANNELGROUPSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DuneCommon_Service_GeoApaChannelGroupService_service.dylib )
      set( DUNE_DUNECOMMON_SERVICE_DUNE35TCHANNELGROUPSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DuneCommon_Service_Dune35tChannelGroupService_service.dylib )
      set( DUNE_DUNECOMMON_SERVICE_FIXEDCHANNELGROUPSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DuneCommon_Service_FixedChannelGroupService_service.dylib )
      set( DUNE_DUNECOMMON $ENV{DUNETPC_LIB}/libdune_DuneCommon.dylib )
      set( DUNE_GEOMETRY $ENV{DUNETPC_LIB}/libdune_Geometry.dylib )
      set( DUNEGEOMETRYHELPER_SERVICE $ENV{DUNETPC_LIB}/libDUNEGeometryHelper_service.dylib )
      set( CHECKGEOMETRY_MODULE $ENV{DUNETPC_LIB}/libCheckGeometry_module.dylib )
      set( CHECKDPHASEGEOMETRY_MODULE $ENV{DUNETPC_LIB}/libCheckDPhaseGeometry_module.dylib )
      set( SIGNALSHAPINGSERVICEDUNE_SERVICE $ENV{DUNETPC_LIB}/libSignalShapingServiceDUNE_service.dylib )
      set( SIGNALSHAPINGSERVICEDUNE10KT_SERVICE $ENV{DUNETPC_LIB}/libSignalShapingServiceDUNE10kt_service.dylib )
      set( SIGNALSHAPINGSERVICEDUNEDPHASE_SERVICE $ENV{DUNETPC_LIB}/libSignalShapingServiceDUNEDPhase_service.dylib )
      set( DETPEDESTALSERVICEDUNE_SERVICE $ENV{DUNETPC_LIB}/libDetPedestalServiceDUNE_service.dylib )
      set( SIGNALSHAPINGSERVICEDUNE34KT_SERVICE $ENV{DUNETPC_LIB}/libSignalShapingServiceDUNE34kt_service.dylib )
      set( SIGNALSHAPINGSERVICEDUNE35T_SERVICE $ENV{DUNETPC_LIB}/libSignalShapingServiceDUNE35t_service.dylib )
      set( FILECATALOGMETADATADUNE_SERVICE $ENV{DUNETPC_LIB}/libFileCatalogMetadataDUNE_service.dylib )
      set( TFILEMETADATADUNE_SERVICE $ENV{DUNETPC_LIB}/libTFileMetadataDUNE_service.dylib )
      set( CHECKAUXDET_MODULE $ENV{DUNETPC_LIB}/libCheckAuxDet_module.dylib )
      set( DUNE_PHOTONPROPAGATION_PHOTONLIBRARYPROPAGATIONS2_MODULE $ENV{DUNETPC_LIB}/libdune_PhotonPropagation_PhotonLibraryPropagationS2_module.dylib )
      set( DUNE_PHOTONPROPAGATION_PHOTONVISIBILITYSERVICES2_SERVICE $ENV{DUNETPC_LIB}/libdune_PhotonPropagation_PhotonVisibilityServiceS2_service.dylib )
      set( DUNE_OPTICALDETECTOR $ENV{DUNETPC_LIB}/libdune_OpticalDetector.dylib )
      set( AVERAGEWAVEFORM_MODULE $ENV{DUNETPC_LIB}/libAverageWaveform_module.dylib )
      set( CALIBRATIONANALYSIS_MODULE $ENV{DUNETPC_LIB}/libCalibrationAnalysis_module.dylib )
      set( FLASHMATCHANA_MODULE $ENV{DUNETPC_LIB}/libFlashMatchAna_module.dylib )
      set( OPDETDIGIANADUNE_MODULE $ENV{DUNETPC_LIB}/libOpDetDigiAnaDUNE_module.dylib )
      set( OPDETDIGITIZERDUNE_MODULE $ENV{DUNETPC_LIB}/libOpDetDigitizerDUNE_module.dylib )
      set( DUNE35TONOPDETRESPONSE_SERVICE $ENV{DUNETPC_LIB}/libDUNE35tonOpDetResponse_service.dylib )
      set( DUNEOPDETRESPONSE_SERVICE $ENV{DUNETPC_LIB}/libDUNEOpDetResponse_service.dylib )
      set( SIMWIREDUNE10KT_MODULE $ENV{DUNETPC_LIB}/libSimWireDUNE10kt_module.dylib )
      set( SIMWIREDUNE35T_MODULE $ENV{DUNETPC_LIB}/libSimWireDUNE35t_module.dylib )
      set( DUNE_DETSIM $ENV{DUNETPC_LIB}/libdune_DetSim.dylib )
      set( DUNE_DETSIM_TOOL_IDEALADCSIMULATOR_TOOL $ENV{DUNETPC_LIB}/libdune_DetSim_Tool_IdealAdcSimulator_tool.dylib )
      set( DUNE_DETSIM_SERVICE_DUNE35TSIMCHANNELEXTRACTSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_Dune35tSimChannelExtractService_service.dylib )
      set( DUNE_DETSIM_SERVICE_GENERICSIMCHANNELEXTRACTSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_GenericSimChannelExtractService_service.dylib )
      set( DUNE_DETSIM_SERVICE_DPHASESIMCHANNELEXTRACTSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_DPhaseSimChannelExtractService_service.dylib )
      set( DUNE_DETSIM_SERVICE_EXPONENTIALCHANNELNOISESERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_ExponentialChannelNoiseService_service.dylib )
      set( DUNE_DETSIM_SERVICE_DPHASEREALISTICNOISESERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_DPhaseRealisticNoiseService_service.dylib )
      set( DUNE_DETSIM_SERVICE_DPHASECOHERENTNOISESERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_DPhaseCoherentNoiseService_service.dylib )
      set( DUNE_DETSIM_SERVICE_PROTODUNECHANNELNOISESERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_ProtoDUNEChannelNoiseService_service.dylib )
      set( DUNE_DETSIM_SERVICE_WHITECHANNELNOISESERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_WhiteChannelNoiseService_service.dylib )
      set( DUNE_DETSIM_SERVICE_PROVIDEDPEDESTALADDITIONSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_ProvidedPedestalAdditionService_service.dylib )
      set( DUNE_DETSIM_SERVICE_DUNE35TZEROSUPPRESSSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_Dune35tZeroSuppressService_service.dylib )
      set( DUNE_DETSIM_SERVICE_LEGACY35TZEROSUPPRESSSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_Legacy35tZeroSuppressService_service.dylib )
      set( DUNE_DETSIM_SERVICE_FIXEDZEROSUPPRESSSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_FixedZeroSuppressService_service.dylib )
      set( DUNE_DETSIM_SERVICE_REPLACECOMPRESSSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_ReplaceCompressService_service.dylib )
      set( DUNE_DETSIM_SERVICE_LARSOFTHUFFMANCOMPRESSSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_LarsoftHuffmanCompressService_service.dylib )
      set( DUNE_DETSIM_SERVICE_STUCKBITADCDISTORTIONSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_StuckBitAdcDistortionService_service.dylib )
      set( DUNE_DETSIM_SERVICE_FIXEDDETPEDESTALSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_FixedDetPedestalService_service.dylib )
      set( DUNE_DETSIM_SERVICE_DPHASEFIXEDDETPEDESTALSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetSim_Service_DPhaseFixedDetPedestalService_service.dylib )
      set( SIMCOUNTER35T_MODULE $ENV{DUNETPC_LIB}/libSimCounter35t_module.dylib )
      set( SIMWIREDUNE_MODULE $ENV{DUNETPC_LIB}/libSimWireDUNE_module.dylib )
      set( DUNE_DETECTORVARIATIONS_RANDOMCHANNELSTATUSSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DetectorVariations_RandomChannelStatusService_service.dylib )
      set( PROTODUNEBEAM_MODULE $ENV{DUNETPC_LIB}/libProtoDUNEBeam_module.dylib )
      set( DUNE_EVENTGENERATOR_CORSIKAPROTODUNEDP_CORSIKAGENDP_MODULE $ENV{DUNETPC_LIB}/libdune_EventGenerator_CORSIKAprotodunedp_CORSIKAGendp_module.dylib )
      set( DUNE_EVENTGENERATOR_CORSIKAPROTODUNEDP_DATAGEN311_MODULE $ENV{DUNETPC_LIB}/libdune_EventGenerator_CORSIKAprotodunedp_DataGen311_module.dylib )
      set( DUNE_EVENTGENERATOR_CORSIKAPROTODUNEDP_GEN311_MODULE $ENV{DUNETPC_LIB}/libdune_EventGenerator_CORSIKAprotodunedp_Gen311_module.dylib )
      set( DUNE_EVENTGENERATOR_PROTODUNEBEAMDATAPRODUCTS $ENV{DUNETPC_LIB}/libdune_EventGenerator_ProtoDUNEbeamDataProducts.dylib )
      set( DUNE_EVENTGENERATOR_PROTODUNEBEAMDATAPRODUCTS_PROTODUNEBEAMTPCMATCHING_MODULE $ENV{DUNETPC_LIB}/libdune_EventGenerator_ProtoDUNEbeamDataProducts_ProtoDUNEBeamTPCMatching_module.dylib )
      set( DUNE_EVENTGENERATOR_PROTODUNEBEAMDATAPRODUCTS_DICT $ENV{DUNETPC_LIB}/libdune_EventGenerator_ProtoDUNEbeamDataProducts_dict.dylib )
      set( DUNE_EVENTGENERATOR_NEUT_NEUTIMPORT_MODULE $ENV{DUNETPC_LIB}/libdune_EventGenerator_NEUT_NEUTImport_module.dylib )
      set( DUNE_EVENTGENERATOR_MUSUN_COSMICFILTER_MODULE $ENV{DUNETPC_LIB}/libdune_EventGenerator_MUSUN_CosmicFilter_module.dylib )
      set( DUNE_DAQ_SERVICE_FILECHANNELMAPPINGSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_Daq_Service_FileChannelMappingService_service.dylib )
      set( DUNE_DAQ_SERVICE_DUNE35TCHANNELMAPPINGSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_Daq_Service_Dune35tChannelMappingService_service.dylib )
      set( CALGAUSHFDUNE10KT_MODULE $ENV{DUNETPC_LIB}/libCalGausHFDUNE10kt_module.dylib )
      set( CALGAUSHFDUNE35T_MODULE $ENV{DUNETPC_LIB}/libCalGausHFDUNE35t_module.dylib )
      set( CALWIREDUNE10KT_MODULE $ENV{DUNETPC_LIB}/libCalWireDUNE10kt_module.dylib )
      set( CALWIREDUNE35T_MODULE $ENV{DUNETPC_LIB}/libCalWireDUNE35t_module.dylib )
      set( CALWIREDUNEDPHASE_MODULE $ENV{DUNETPC_LIB}/libCalWireDUNEDPhase_module.dylib )
      set( DECONVGAUSHFDUNE10KT_MODULE $ENV{DUNETPC_LIB}/libDeconvGausHFDUNE10kt_module.dylib )
      set( DECONVGAUSHFDUNE35T_MODULE $ENV{DUNETPC_LIB}/libDeconvGausHFDUNE35t_module.dylib )
      set( UNSTICKADCCODES_MODULE $ENV{DUNETPC_LIB}/libUnstickADCCodes_module.dylib )
      set( DUNE_DATAPREP_UTILITY $ENV{DUNETPC_LIB}/libdune_DataPrep_Utility.dylib )
      set( DUNE_DATAPREP_UTILITY_DICT $ENV{DUNETPC_LIB}/libdune_DataPrep_Utility_dict.dylib )
      set( DUNE_DATAPREP_TOOL_STANDARDADCCHANNELSTRINGTOOL_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_StandardAdcChannelStringTool_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCRESULTDUMPER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcResultDumper_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCCHANNELDUMPER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcChannelDumper_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCCHANNELPLOTTER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcChannelPlotter_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCPEDESTALFITTER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcPedestalFitter_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCDATADUMPER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcDataDumper_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCTICKMODVIEWER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcTickModViewer_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCDATAPLOTTER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcDataPlotter_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCDETECTORPLOTTER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcDetectorPlotter_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCCHANNELMETRIC_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcChannelMetric_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCEVENTVIEWER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcEventViewer_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ACDDIGITREADER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AcdDigitReader_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ACDWIREREADER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AcdWireReader_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCSAMPLEFILLER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcSampleFiller_tool.dylib )
      set( DUNE_DATAPREP_TOOL_VINTAGEDECONVOLUTER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_VintageDeconvoluter_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCUNDERFLOWFLAGGER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcUnderflowFlagger_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCKEEPALLSIGNALFINDER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcKeepAllSignalFinder_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCTHRESHOLDSIGNALFINDER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcThresholdSignalFinder_tool.dylib )
      set( DUNE_DATAPREP_TOOL_DUNEADCSIGNALFINDER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_DuneAdcSignalFinder_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCREGULARSIGNALFINDER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcRegularSignalFinder_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCROIVIEWER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcRoiViewer_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCDPHASE3X1X1LOCALROIBUILDER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcDPhase3x1x1LocalRoiBuilder_tool.dylib )
      set( DUNE_DATAPREP_TOOL_FEMBLINEARCALIBRATION_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_FembLinearCalibration_tool.dylib )
      set( DUNE_DATAPREP_TOOL_FEMBMAPPEDADCMODIFIER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_FembMappedAdcModifier_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCCHANNELFFT_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcChannelFFT_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCCHANNELDFTPLOTTER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcChannelDftPlotter_tool.dylib )
      set( DUNE_DATAPREP_TOOL_ADCDPHASE3X1X1ROIBUILDER_TOOL $ENV{DUNETPC_LIB}/libdune_DataPrep_Tool_AdcDPhase3x1x1RoiBuilder_tool.dylib )
      set( DUNE_DATAPREP_SERVICE_CONFIGURABLEADCCHANNELDATACOPYSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_ConfigurableAdcChannelDataCopyService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_INTERPOLATINGADCMITIGATIONSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_InterpolatingAdcMitigationService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_STANDARDRAWDIGITEXTRACTSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_StandardRawDigitExtractService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_THRESHOLDNOISEREMOVALSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_ThresholdNoiseRemovalService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_MULTICHANNELNOISEREMOVALSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_MultiChannelNoiseRemovalService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_DUNE35TNOISEREMOVALSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_Dune35tNoiseRemovalService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_DUNEDPHASE3X1X1NOISEREMOVALSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_DuneDPhase3x1x1NoiseRemovalService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_MEDIANPEDESTALSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_MedianPedestalService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_ADCSUPPRESSSIGNALFINDINGSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_AdcSuppressSignalFindingService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_DUNEDECONVOLUTIONSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_DuneDeconvolutionService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_DUNEDPHASEDECONVOLUTIONSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_DuneDPhaseDeconvolutionService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_KEEPALLROIBUILDINGSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_KeepAllRoiBuildingService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_DUNEROIBUILDINGSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_DuneRoiBuildingService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_DUNEDPHASEROIBUILDINGSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_DuneDPhaseRoiBuildingService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_STANDARDADCWIREBUILDINGSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_StandardAdcWireBuildingService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_TOOLBASEDRAWDIGITPREPSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_ToolBasedRawDigitPrepService_service.dylib )
      set( DUNE_DATAPREP_SERVICE_STANDARDRAWDIGITPREPSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DataPrep_Service_StandardRawDigitPrepService_service.dylib )
      set( DATAPREPMODULE_MODULE $ENV{DUNETPC_LIB}/libDataPrepModule_module.dylib )
      set( RAWEVD_MODULE $ENV{DUNETPC_LIB}/libRawEVD_module.dylib )
      set( RAWEVD35T_MODULE $ENV{DUNETPC_LIB}/libRawEVD35t_module.dylib )
      set( RAWEVDDP_MODULE $ENV{DUNETPC_LIB}/libRawEVDDP_module.dylib )
      set( MUONOCCUPANCY_MODULE $ENV{DUNETPC_LIB}/libMuonOccupancy_module.dylib )
      set( DUNEZSANALYSIS_MODULE $ENV{DUNETPC_LIB}/libdunezsanalysis_module.dylib )
      set( DEDX_MODULE $ENV{DUNETPC_LIB}/libdEdx_module.dylib )
      set( EMENERGYCALIB_MODULE $ENV{DUNETPC_LIB}/libEMEnergyCalib_module.dylib )
      set( EMPI0ENERGY_MODULE $ENV{DUNETPC_LIB}/libEMPi0Energy_module.dylib )
      set( DUNE_ANATREE_ANALYSISTREE_MODULE $ENV{DUNETPC_LIB}/libdune_AnaTree_AnalysisTree_module.dylib )
      set( LBNE_DAQINPUT35T_UTILITIES $ENV{DUNETPC_LIB}/liblbne_daqinput35t_utilities.dylib )
      set( LBNE_DAQINPUT35T $ENV{DUNETPC_LIB}/liblbne_daqinput35t.dylib )
      set( DUNE_DAQINPUT35T_TPCMILLISLICEDUMP_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_TpcMilliSliceDump_module.dylib )
      set( DUNE_DAQINPUT35T_SSPDUMP_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_SSPDump_module.dylib )
      set( DUNE_DAQINPUT35T_SSPTOOFFLINE_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_SSPToOffline_module.dylib )
      set( DUNE_DAQINPUT35T_PTBTOOFFLINE_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_PTBToOffline_module.dylib )
      set( DUNE_DAQINPUT35T_SSPTRIGGERANA_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_SSPTriggerAna_module.dylib )
      set( DUNE_DAQINPUT35T_SSPDIAGNOSTICANA_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_SSPDiagnosticAna_module.dylib )
      set( DUNE_DAQINPUT35T_TPCDAQTOOFFLINE_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_TpcDAQToOffline_module.dylib )
      set( DUNE_DAQINPUT35T_NOISECORRELATION_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_NoiseCorrelation_module.dylib )
      set( DUNE_DAQINPUT35T_FILTERWF_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_FilterWF_module.dylib )
      set( DUNE_DAQINPUT35T_CHECKRAWDIGIT_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_CheckRawDigit_module.dylib )
      set( DUNE_DAQINPUT35T_SIGMOIDFILTER_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_Sigmoidfilter_module.dylib )
      set( DUNE_DAQINPUT35T_FILTERANALYZER_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_FilterAnalyzer_module.dylib )
      set( DUNE_DAQINPUT35T_FILTERANALYZERRUNLIST_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_FilterAnalyzerRunList_module.dylib )
      set( DUNE_DAQINPUT35T_GOODRUN_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_GoodRun_module.dylib )
      set( DUNE_DAQINPUT35T_BADTIMINGS_MODULE $ENV{DUNETPC_LIB}/libdune_daqinput35t_BadTimings_module.dylib )
      set( DUNE_DAQINPUT35T_SPLITTERINPUT_SOURCE $ENV{DUNETPC_LIB}/libdune_daqinput35t_SplitterInput_source.dylib )
      set( RAWEVD35TTREE_MODULE $ENV{DUNETPC_LIB}/libRawEVD35tTree_module.dylib )
      set( HITFINDERDUNE $ENV{DUNETPC_LIB}/libHitFinderDUNE.dylib )
      set( DISAMBIGFROMSPACEPOINTS_MODULE $ENV{DUNETPC_LIB}/libDisambigFromSpacePoints_module.dylib )
      set( EMLIKEHITS_MODULE $ENV{DUNETPC_LIB}/libEmLikeHits_module.dylib )
      set( HITFINDER35T_MODULE $ENV{DUNETPC_LIB}/libHitFinder35t_module.dylib )
      set( HITFINDERCOUNTER35T_MODULE $ENV{DUNETPC_LIB}/libHitFinderCounter35t_module.dylib )
      set( HITFINDERPROTODUNESP_MODULE $ENV{DUNETPC_LIB}/libHitFinderProtoDUNESP_module.dylib )
      set( HITHANDSCAN_MODULE $ENV{DUNETPC_LIB}/libHitHandScan_module.dylib )
      set( HITREPEATER_MODULE $ENV{DUNETPC_LIB}/libHitRepeater_module.dylib )
      set( ROBUSTHITFINDER_MODULE $ENV{DUNETPC_LIB}/libRobustHitFinder_module.dylib )
      set( SHOWERHITSEPARATOR_MODULE $ENV{DUNETPC_LIB}/libShowerHitSeparator_module.dylib )
      set( DISAMBIGCHECK_MODULE $ENV{DUNETPC_LIB}/libdisambigcheck_module.dylib )
      set( TRACKANACT_MODULE $ENV{DUNETPC_LIB}/libTrackAnaCT_module.dylib )
      set( DUNE_CTREE_CTREE35T_MODULE $ENV{DUNETPC_LIB}/libdune_CTree_CTree35t_module.dylib )
      set( DUNE_CTREE_CTREEGEOMETRY_MODULE $ENV{DUNETPC_LIB}/libdune_CTree_CTreeGeometry_module.dylib )
      set( COUNTERFILTER_MODULE $ENV{DUNETPC_LIB}/libCounterFilter_module.dylib )
      set( T0COUNTER_MODULE $ENV{DUNETPC_LIB}/libT0Counter_module.dylib )
      set( GENEXTCOUNTERFILTER_MODULE $ENV{DUNETPC_LIB}/libGenExtCounterFilter_module.dylib )
      set( LARG4EXTCOUNTERFILTER_MODULE $ENV{DUNETPC_LIB}/libLArG4ExtCounterFilter_module.dylib )
      set( INISEGALG $ENV{DUNETPC_LIB}/libIniSegAlg.dylib )
      set( MVAALG $ENV{DUNETPC_LIB}/libMVAAlg.dylib )
      set( DUNE_FDSENSOPT_FDSENSOPTDATA $ENV{DUNETPC_LIB}/libdune_FDSensOpt_FDSensOptData.dylib )
      set( DUNE_FDSENSOPT_FDSENSOPTDATA_DICT $ENV{DUNETPC_LIB}/libdune_FDSensOpt_FDSensOptData_dict.dylib )
      set( NUEANA_MODULE $ENV{DUNETPC_LIB}/libNueAna_module.dylib )
      set( MVASELECT_MODULE $ENV{DUNETPC_LIB}/libMVASelect_module.dylib )
      set( CAFMAKER_MODULE $ENV{DUNETPC_LIB}/libCAFMaker_module.dylib )
      set( INISEGRECO_MODULE $ENV{DUNETPC_LIB}/libIniSegReco_module.dylib )
      set( SHSEG_MODULE $ENV{DUNETPC_LIB}/libShSeg_module.dylib )
      set( ENERGYRECO_MODULE $ENV{DUNETPC_LIB}/libEnergyReco_module.dylib )
      set( CHECKRECOENERGY_MODULE $ENV{DUNETPC_LIB}/libCheckRecoEnergy_module.dylib )
      set( GAPFILTER_MODULE $ENV{DUNETPC_LIB}/libGapFilter_module.dylib )
      set( GAPWIDTH_MODULE $ENV{DUNETPC_LIB}/libGapWidth_module.dylib )
      set( COSMICEFFICIENCY_MODULE $ENV{DUNETPC_LIB}/libCosmicEfficiency_module.dylib )
      set( NEUTRONDECAYN2ANA_MODULE $ENV{DUNETPC_LIB}/libNeutronDecayN2Ana_module.dylib )
      set( NUCLEONDECAYFILTER_MODULE $ENV{DUNETPC_LIB}/libNucleonDecayFilter_module.dylib )
      set( PROTONIDENTIFICATION_MODULE $ENV{DUNETPC_LIB}/libProtonIdentification_module.dylib )
      set( TRACKINGEFFICIENCY_MODULE $ENV{DUNETPC_LIB}/libTrackingEfficiency_module.dylib )
      set( DUNE_SHOWERANA_SHOWERANALYSIS_MODULE $ENV{DUNETPC_LIB}/libdune_ShowerAna_ShowerAnalysis_module.dylib )
      set( RUNHISTORYDUNE $ENV{DUNETPC_LIB}/libRunHistoryDUNE.dylib )
      set( NEARLINEANA_MODULE $ENV{DUNETPC_LIB}/libNearlineAna_module.dylib )
      set( MUONCOUNTER_MODULE $ENV{DUNETPC_LIB}/libMuonCounter_module.dylib )
      set( MUONCOUNTERTIMES_MODULE $ENV{DUNETPC_LIB}/libMuonCounterTimes_module.dylib )
      set( GOODWIREANA_MODULE $ENV{DUNETPC_LIB}/libGoodWireAna_module.dylib )
      set( RECOTRACK_MODULE $ENV{DUNETPC_LIB}/libRecoTrack_module.dylib )
      set( ROBUSTMCANA_MODULE $ENV{DUNETPC_LIB}/libRobustMCAna_module.dylib )
      set( SIGNALTONOISE_MODULE $ENV{DUNETPC_LIB}/libSignalToNoise_module.dylib )
      set( TIMEDIST_MODULE $ENV{DUNETPC_LIB}/libTimeDist_module.dylib )
      set( CWPFILTER_MODULE $ENV{DUNETPC_LIB}/libCWPFilter_module.dylib )
      set( DUNE_PROTODUNE_TOOL_PROTODUNECHANNELRANGES_TOOL $ENV{DUNETPC_LIB}/libdune_Protodune_Tool_ProtoDuneChannelRanges_tool.dylib )
      set( PROTODUNEANAUTILS $ENV{DUNETPC_LIB}/libProtoDUNEAnaUtils.dylib )
      set( PROTODUNETRUTHBEAMFILTER_MODULE $ENV{DUNETPC_LIB}/libProtoDUNETruthBeamFilter_module.dylib )
      set( PROTODUNETRUTHBEAMPARTICLE_MODULE $ENV{DUNETPC_LIB}/libProtoDUNETruthBeamParticle_module.dylib )
      set( PROTOFLASH_MODULE $ENV{DUNETPC_LIB}/libProtoFlash_module.dylib )
      set( UTILITYEXAMPLE_MODULE $ENV{DUNETPC_LIB}/libUtilityExample_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_BEAMANA_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_BeamAna_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_BEAMHITFINDER_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_BeamHitFinder_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_DEDX_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_DEdx_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_ECALIBRATION_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_ECalibration_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_EDEPCAL_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_EdepCal_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_FAKEPEDESTAL_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_FakePedestal_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_HADCAL_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_HadCal_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_RECOEFF_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_RecoEff_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_RECOHITSEFF_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_RecoHitsEff_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_RECOSTATS_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_RecoStats_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_SAVESPACEPOINTS_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_SaveSpacePoints_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CALCUTTJRECOEFF_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_calcuttjRecoEff_module.dylib )
      set( SPLIFETIME_MODULE $ENV{DUNETPC_LIB}/libSPLifetime_module.dylib )
      set( PLOTTRACKT0_MODULE $ENV{DUNETPC_LIB}/libPlotTrackT0_module.dylib )
      set( PLOTTRACKDETAILS_MODULE $ENV{DUNETPC_LIB}/libPlotTrackDetails_module.dylib )
      set( PLOTOPTICALDETAILS_MODULE $ENV{DUNETPC_LIB}/libPlotOpticalDetails_module.dylib )
      set( RAWEVENTDISPLAY_MODULE $ENV{DUNETPC_LIB}/libRawEventDisplay_module.dylib )
      set( TPCMONITOR_MODULE $ENV{DUNETPC_LIB}/libTpcMonitor_module.dylib )
      set( SSPMONITOR_MODULE $ENV{DUNETPC_LIB}/libSSPMonitor_module.dylib )
      set( PDSPNEARLINEHEADER_MODULE $ENV{DUNETPC_LIB}/libPDSPNearlineHeader_module.dylib )
      set( PDSPHITMONITOR_MODULE $ENV{DUNETPC_LIB}/libPDSPHitMonitor_module.dylib )
      set( TIMINGRAWDECODER_MODULE $ENV{DUNETPC_LIB}/libTimingRawDecoder_module.dylib )
      set( SSPRAWDECODER_MODULE $ENV{DUNETPC_LIB}/libSSPRawDecoder_module.dylib )
      set( RCERAWDECODER_MODULE $ENV{DUNETPC_LIB}/libRceRawDecoder_module.dylib )
      set( FELIXRAWDECODER_MODULE $ENV{DUNETPC_LIB}/libFelixRawDecoder_module.dylib )
      set( PDSPTPCRAWDECODER_MODULE $ENV{DUNETPC_LIB}/libPDSPTPCRawDecoder_module.dylib )
      set( PDSPCTBRAWDECODER_MODULE $ENV{DUNETPC_LIB}/libPDSPCTBRawDecoder_module.dylib )
      set( DUNETPC_PROTODUNE_RAWDECODINGUTILS $ENV{DUNETPC_LIB}/libdunetpc_protodune_RawDecodingUtils.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_RAWDECODING_DATA_DICT $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_RawDecoding_data_dict.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_DATA_DICT $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_data_dict.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_ALG_UTIL $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_alg_util.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_ALG_MONITOR $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_alg_monitor.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_ALG_TOROOT $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_alg_toROOT.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_CRTONLINEMONITOR_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_CRTOnlineMonitor_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_CRTSIMVALIDATION_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_CRTSimValidation_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_CRTSIM_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_CRTSim_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CRT_HELLOAUXDET_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CRT_HelloAuxDet_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_CTB_DATA_DICT $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_CTB_data_dict.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_TOOL_PDSPONLINECHANNEL_TOOL $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_Tool_PdspOnlineChannel_tool.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_TOOL_PROTODUNEONLINECHANNEL_TOOL $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_Tool_ProtoduneOnlineChannel_tool.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_DEDXCALIBRATION_CALIBRATIONDEDXPDSP_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_dEdxcalibration_CalibrationdEdXPDSP_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_DEDXCALIBRATION_DEDXCALIBRATION_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_dEdxcalibration_dEdxcalibration_module.dylib )
      set( DUNE_PROTODUNE_SINGLEPHASE_XYZCALIBRATION_XYZCALIBRATION_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_singlephase_XYZcalibration_XYZcalibration_module.dylib )
      set( PURITY_MODULE $ENV{DUNETPC_LIB}/libPurity_module.dylib )
      set( DEDXDP_MODULE $ENV{DUNETPC_LIB}/libDEdxdp_module.dylib )
      set( DUNE_PROTODUNE_DUALPHASE_ANAROOTPARSER_MODULE $ENV{DUNETPC_LIB}/libdune_Protodune_dualphase_AnaRootParser_module.dylib )
      set( CLUSTERCOUNTER_MODULE $ENV{DUNETPC_LIB}/libClusterCounter_module.dylib )
      set( CLUSTERCOUNTER2_MODULE $ENV{DUNETPC_LIB}/libClusterCounter2_module.dylib )
      set( CLUSTERCOUNTER3_MODULE $ENV{DUNETPC_LIB}/libClusterCounter3_module.dylib )
      set( CLUSTERCOUNTER4_MODULE $ENV{DUNETPC_LIB}/libClusterCounter4_module.dylib )
      set( CLUSTERCOUNTER5_MODULE $ENV{DUNETPC_LIB}/libClusterCounter5_module.dylib )
      set( READSPACEPOINTANDCNN_MODULE $ENV{DUNETPC_LIB}/libReadSpacePointAndCnn_module.dylib )
      set( READBEAMINFO_MODULE $ENV{DUNETPC_LIB}/libReadBeamInfo_module.dylib )
      set( MICHELHITCOUNTER_MODULE $ENV{DUNETPC_LIB}/libMichelHitCounter_module.dylib )
      set( MICHELEVENTSELECTION_MODULE $ENV{DUNETPC_LIB}/libMichelEventSelection_module.dylib )
      set( DUNE_DAQTRIGGERSIM_TRIGGERDATAPRODUCTS $ENV{DUNETPC_LIB}/libdune_DAQTriggerSim_TriggerDataProducts.dylib )
      set( DUNE_DAQTRIGGERSIM_TRIGGERDATAPRODUCTS_DICT $ENV{DUNETPC_LIB}/libdune_DAQTriggerSim_TriggerDataProducts_dict.dylib )
      set( TRIGGERALGORITHMS $ENV{DUNETPC_LIB}/libTriggerAlgorithms.dylib )
      set( ACTIVITYTRIGGERPROD_MODULE $ENV{DUNETPC_LIB}/libActivityTriggerProd_module.dylib )
      set( TEMPLATETRIGGERPROD_MODULE $ENV{DUNETPC_LIB}/libTemplateTriggerProd_module.dylib )
      set( TEMPLATETRIGGERANA_MODULE $ENV{DUNETPC_LIB}/libTemplateTriggerAna_module.dylib )
      set( TESTHARDWAREMAPPER_MODULE $ENV{DUNETPC_LIB}/libTestHardwareMapper_module.dylib )
      set( DUNE_DAQTRIGGERSIM_SERVICE_TEMPLATETRIGGERSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DAQTriggerSim_Service_TemplateTriggerService_service.dylib )
      set( DUNE_DAQTRIGGERSIM_SERVICE_HARDWAREMAPPERSERVICE_SERVICE $ENV{DUNETPC_LIB}/libdune_DAQTriggerSim_Service_HardwareMapperService_service.dylib )
      set( DUNE_SPACECHARGE $ENV{DUNETPC_LIB}/libdune_SpaceCharge.dylib )
      set( DUNE_SPACECHARGESERVICES_SPACECHARGESERVICEPROTODUNE_SERVICE $ENV{DUNETPC_LIB}/libdune_SpaceChargeServices_SpaceChargeServiceProtoDUNE_service.dylib )
      set( DUNE_SPACECHARGESERVICES_SPACECHARGESERVICEDUNE35T_SERVICE $ENV{DUNETPC_LIB}/libdune_SpaceChargeServices_SpaceChargeServiceDUNE35t_service.dylib )
      set( DUNE_SPACECHARGESERVICES_SPACECHARGESERVICE3X1X1DPHASE_SERVICE $ENV{DUNETPC_LIB}/libdune_SpaceChargeServices_SpaceChargeService3x1x1dphase_service.dylib )
      set( MAKESNETPROFILEHISTOS_MODULE $ENV{DUNETPC_LIB}/libMakeSNeTProfileHistos_module.dylib )
      set( SUPERNOVAANA_MODULE $ENV{DUNETPC_LIB}/libSupernovaAna_module.dylib )
      set( DUNE_DATAOVERLAYPRODUCTS $ENV{DUNETPC_LIB}/libdune_DataOverlayProducts.dylib )
      set( DUNE_DATAOVERLAY_DATAOVERLAYPRODUCTS_DICT $ENV{DUNETPC_LIB}/libdune_DataOverlay_DataOverlayProducts_dict.dylib )
      set( DUNE_RAWDIGITADDERANA $ENV{DUNETPC_LIB}/libdune_RawDigitAdderAna.dylib )
      set( DUNE_RAWDIGITADDER $ENV{DUNETPC_LIB}/libdune_RawDigitAdder.dylib )
      set( DUNE_RAWDIGITMIXER $ENV{DUNETPC_LIB}/libdune_RawDigitMixer.dylib )
      set( DUNE_OPDETWAVEFORMMIXER $ENV{DUNETPC_LIB}/libdune_OpDetWaveformMixer.dylib )
      set( DUNE_DATAOVERLAY_DATAOVERLAYMIXER_OVERLAYRAWDATADUNE35T_MODULE $ENV{DUNETPC_LIB}/libdune_DataOverlay_DataOverlayMixer_OverlayRawDataDUNE35t_module.dylib )
      set( DUNE_DATAOVERLAY_DATAOVERLAYMIXER_RAWDIGITOVERLAYDUNE35TANA_MODULE $ENV{DUNETPC_LIB}/libdune_DataOverlay_DataOverlayMixer_RawDigitOverlayDUNE35tAna_module.dylib )
      set( SNANA_MODULE $ENV{DUNETPC_LIB}/libSNAna_module.dylib )
      set( DAQSIMANA_MODULE $ENV{DUNETPC_LIB}/libDAQSimAna_module.dylib )
      set( IMPORTFULL311FILE_SOURCE $ENV{DUNETPC_LIB}/libImportFull311File_source.dylib )
      set( IMPORTSINGLE311EVENT_MODULE $ENV{DUNETPC_LIB}/libImportSingle311Event_module.dylib )
      set( RAWDATA311INPUTDRIVER_SERVICE $ENV{DUNETPC_LIB}/libRawData311InputDriver_service.dylib )
      set( DLARDAQ_SERVICE $ENV{DUNETPC_LIB}/libdlardaq_service.dylib )
      set( EVENTDECODER_SERVICE $ENV{DUNETPC_LIB}/libEventDecoder_service.dylib )
      set( HUFFDATACOMPRESSOR_SERVICE $ENV{DUNETPC_LIB}/libHuffDataCompressor_service.dylib )
      set( CVNFUNC $ENV{DUNETPC_LIB}/libCVNFunc.dylib )
      set( DUNE_CVN_FUNC_DICT $ENV{DUNETPC_LIB}/libdune_CVN_func_dict.dylib )
      set( BEAMDATA $ENV{DUNETPC_LIB}/libBeamData.dylib )
      set( DUNE_CALIB $ENV{DUNETPC_LIB}/libdune_Calib.dylib )
      set( DUNE_CALIBSERVICES_XYZCALIBSERVICEPROTODUNE_SERVICE $ENV{DUNETPC_LIB}/libdune_CalibServices_XYZCalibServiceProtoDUNE_service.dylib )
      set( TEST_DAQINPUT35T_SPLITTERANALYZER_MODULE $ENV{DUNETPC_LIB}/libtest_daqinput35t_SplitterAnalyzer_module.dylib )
      set( GEOMETRYTEST35_MODULE $ENV{DUNETPC_LIB}/libGeometryTest35_module.dylib )
      include_directories ( $ENV{DUNETPC_INC} )

check_required_components(dunetpc)

